> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewselectionmode.md).

# DataGridViewSelectionMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.1.0.0)

Describes how cells of a DataGridView control can be selected.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataGridViewSelectionMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataGridViewSelectionMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                      | Description                                                                                                                                                                |
| ------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **CellSelect**            | One or more individual cells can be selected.                                                                                                                              |
| **ColumnHeaderSelect**    | The column will be selected by clicking in the column's header cell. An individual cell can be selected by clicking that cell.                                             |
| **FullColumnSelect**      | The entire column will be selected by clicking the column's header or a cell contained in that column. NOTE: Column must be set to SortMode.Programmatic to be selectable. |
| **FullRowSelect**         | The entire row will be selected by clicking its row's header or a cell contained in that row.                                                                              |
| **NoSelection**           | Selection is disabled.                                                                                                                                                     |
| **RowColumnHeaderSelect** | The column or the row will be selected by clicking on the header cell. An individual cell can be selected by clicking that cell.                                           |
| **RowHeaderSelect**       | The row will be selected by clicking in the row's header cell. An individual cell can be selected by clicking that cell.                                                   |

## Used By

| Name                                                                                                          | Description                                                                                                                                                |
| ------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridView.SelectionMode](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview#selectionmode) | Returns or sets a value indicating how the cells of the [DataGridView](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview) can be selected. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewselectionmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
